/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

* { user-select: none; }

hr { border: none; }

li { list-style: none; }

a { text-decoration: none; }

button {
    border: none;
    background: transparent; 
}

img, video { -webkit-user-drag: none; }



/* ================ Background ================ */
html { background-color: black; }
body {
    --s: 80px; 
    --c1: #000000;
    --c2: #090909;

    --_g: 
    #0000 calc(-650%/13) calc(50%/13),var(--c1) 0 calc(100%/13),
    #0000 0 calc(150%/13),var(--c1) 0 calc(200%/13),
    #0000 0 calc(250%/13),var(--c1) 0 calc(300%/13);
    --_g0: repeating-linear-gradient( 45deg,var(--_g));
    --_g1: repeating-linear-gradient(-45deg,var(--_g));
    background:
    var(--_g0),var(--_g0) var(--s) var(--s),
    var(--_g1),var(--_g1) var(--s) var(--s) var(--c2);
    background-size: calc(2*var(--s)) calc(2*var(--s));
}    



/* ================ Header ================ */
header {
    background-color: rgb(18, 18, 18);
    box-shadow: rgba(0, 0, 0, 0.50) 0 0 15px;
}

header h1 {
    display: flex;
    align-items: center;
    justify-content: center;
    
    overflow: hidden;
    white-space: nowrap;
    height: 75px;
    /* text-shadow: rgba(0, 0, 0, 0.50) 0px 0px 15px; */
}

header hr {
    background-color: darkorange;
    height: 2px;
    width: 100%;
}

nav {
    display: flex;
    align-items: center;

    margin: auto;
    padding-left: 20px;
    max-width: 1080px;
    height: 27px;
}

nav a {
    font-weight: 500;
}



/* ================ Main ================ */
main {
    max-width: 1080px;
    margin: 0 auto;
    padding-bottom: 40px;
    padding-left: 10px;
    padding-right: 10px;
}



/* ================ Sections ================ */
section, article {
    margin-top: 35px;
    background-color: rgba(15, 15, 15, 0.79);
    box-shadow: rgba(0, 0, 0, 0.50) 0 0 15px;
}

section, article,  section h2, article h2 {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

section h2, article h2 {
    display: flex;
    align-items: center;
    justify-content: center;
    
    white-space: nowrap;
    overflow: hidden;
    
    text-shadow: rgba(0, 0, 0, 0.75) 0 0 10px;
    background: linear-gradient(rgb(49, 2, 49), rgb(39, 2, 39));
    height: 40px;
}



/* ================ Containers ================ */
section div, section ul {
    padding: 18px;
}

section div {
    text-align: center;
}

section ul {
    overflow: hidden;
}

section li {
    margin-bottom: 2px;
}



/* ================ Content ================ */
section hr {
    background-color: white;
    height: 2px;
    margin:  15px;
}

section a {
    color: darkorange; 
}

section b {
    color: darkorange; 
    font-weight: 500;
}

section button {
    /* color: limegreen; */
    color: white;
    background-color: green;
    font-weight:    600;
    font-size:     15px;
    border-radius:  3px;
    padding:        2px;
    padding-left:   3px;
    padding-right:  5px;
}

section button:hover {
    background-color: rgb(15, 150, 15);
}



/* ================ Article ================ */
article h3 {
    white-space: normal;
}

article ul {
    padding: 18px;
}

article li {
    margin-top:     5px;
    margin-bottom: 15px;
}

article p {
    white-space: normal;
    margin-top: 5px;
}



/* ================ Texts ================ */
h1, h2 {
    text-align: center;
}

h1, h2, h3, li, p, a, button {
    color: white;
    font-family: system-ui; 
}



/* ================ Links ================ */
li, a {
    white-space: nowrap;
}

a:hover {
    color: darkorange;
}

button {
    cursor: pointer;
}



/* ================ Media ================ */
img, video {
    max-width: 100%;
    /* max-height: 500px; */
    background-color: rgb(32,32,32);
}


section div img, section div video {
    border-radius: 5px;
    margin-bottom: 12px;
    margin-left:   4px;
    margin-right:  4px;
    box-shadow: rgba(0, 0, 0, 0.75) 0 0 12px;
}




/* ================ Anchors ================ */
section#boudoir ul,
section#photos  ul,
section#related ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

section#boudoir ul img, 
section#photos  ul img {
    border-radius: 5px;
}

section#boudoir ul img, 
section#photos  ul img,
section#related ul img {
    object-fit: cover;
    aspect-ratio: 1 / 1;   
    width: 100%;
}




/* ================ Anchor Related ================ */
section#related li {
    overflow: hidden;
    border-radius: 5px;
    background-color: black;
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}


section#related li:hover {
    border-radius: 5px;
    overflow: hidden;
    box-shadow: rgba(32,32,32, 0.66) 0 0 12px;
}
section#related a:hover img { filter: brightness(1.12); }
section#related a:hover p   { color: darkorange;      }


section#related p {
    display: flex;
    justify-content: center;
    align-items: center;
    
    font-weight: 500;
    height: 34px;
    margin-top: -4px;
    background: linear-gradient(rgb(20,20,20), black);
}




/* ================ Footer ================ */
footer {
    display: flex;
    align-items: center;
    justify-content: center;
    
    height: 100px;
    /* background-color: rgb(15, 15, 15); */
    background: linear-gradient(rgb(20,20,20), rgb(8,8,8));
    box-shadow: rgba(0, 0, 0, 0.20) 0 0 12px;
}

footer h1 {
    text-shadow: black 0px 0px 15px;
}